summaryrefslogtreecommitdiffstats
path: root/kernel
diff options
context:
space:
mode:
authorBill Peck <bpeck@redhat.com>2013-01-22 15:39:53 -0500
committerBill Peck <bpeck@redhat.com>2013-01-22 15:39:53 -0500
commitd1348a3ec4394b63128a02b65a2ef68511e2fec9 (patch)
treed98e6222e47aca80eb3f99f2d507b1977e6b0ca2 /kernel
parent73c90a7447b383af85bb1893976f766455894b46 (diff)
downloadtests-d1348a3ec4394b63128a02b65a2ef68511e2fec9.tar.gz
tests-d1348a3ec4394b63128a02b65a2ef68511e2fec9.tar.xz
tests-d1348a3ec4394b63128a02b65a2ef68511e2fec9.zip
new task for setting up network.
Diffstat (limited to 'kernel')
-rw-r--r--kernel/networking/add_interface/Makefile60
-rw-r--r--kernel/networking/add_interface/PURPOSE3
-rwxr-xr-xkernel/networking/add_interface/runtest.sh52
3 files changed, 115 insertions, 0 deletions
diff --git a/kernel/networking/add_interface/Makefile b/kernel/networking/add_interface/Makefile
new file mode 100644
index 0000000..7ec9bc3
--- /dev/null
+++ b/kernel/networking/add_interface/Makefile
@@ -0,0 +1,60 @@
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# Makefile of /kernel/networking/add_interface
+# Description: Verifies openvswitch is working properly
+# Author: Bill Peck <bpeck@redhat.com>
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# Copyright (c) 2012 Red Hat, Inc. All rights reserved.
+#
+# This copyrighted material is made available to anyone wishing
+# to use, modify, copy, or redistribute it subject to the terms
+# and conditions of the GNU General Public License version 2.
+#
+# This program is distributed in the hope that it will be
+# useful, but WITHOUT ANY WARRANTY; without even the implied
+# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+# PURPOSE. See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public
+# License along with this program; if not, write to the Free
+# Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+# Boston, MA 02110-1301, USA.
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+export TEST=/kernel/networking/add_interface
+export TESTVERSION=1.0
+
+BUILT_FILES=
+
+FILES=$(METADATA) runtest.sh Makefile PURPOSE
+
+.PHONY: all install download clean
+
+run: $(FILES) build
+ ./runtest.sh
+
+build: $(BUILT_FILES)
+ test -x runtest.sh || chmod a+x runtest.sh
+
+clean:
+ rm -f *~ $(BUILT_FILES)
+
+
+include /usr/share/rhts/lib/rhts-make.include
+
+$(METADATA): Makefile
+ @echo "Owner: Bill Peck <bpeck@redhat.com>" > $(METADATA)
+ @echo "Name: $(TEST)" >> $(METADATA)
+ @echo "TestVersion: $(TESTVERSION)" >> $(METADATA)
+ @echo "Path: $(TEST_DIR)" >> $(METADATA)
+ @echo "Description: Adds a network interface" >> $(METADATA)
+ @echo "Type: Sanity" >> $(METADATA)
+ @echo "TestTime: 10m" >> $(METADATA)
+ @echo "Requires: ipcalc" >> $(METADATA)
+ @echo "Priority: Normal" >> $(METADATA)
+ @echo "License: GPLv2" >> $(METADATA)
+ @echo "Confidential: no" >> $(METADATA)
+ @echo "Destructive: no" >> $(METADATA)
diff --git a/kernel/networking/add_interface/PURPOSE b/kernel/networking/add_interface/PURPOSE
new file mode 100644
index 0000000..9e762e2
--- /dev/null
+++ b/kernel/networking/add_interface/PURPOSE
@@ -0,0 +1,3 @@
+PURPOSE of /kernel/networking/add_interface
+Description: Creates an interface
+Author: Bill Peck <bpeck@redhat.com>
diff --git a/kernel/networking/add_interface/runtest.sh b/kernel/networking/add_interface/runtest.sh
new file mode 100755
index 0000000..edd236d
--- /dev/null
+++ b/kernel/networking/add_interface/runtest.sh
@@ -0,0 +1,52 @@
+#!/bin/bash -x
+# vim: dict=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# runtest.sh of /kernel/networking/add_interface
+# Description: add $SWITCHES interface to guests
+# Author: Bill Peck <bpeck@redhat.com>
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# Copyright (c) 2012 Red Hat, Inc. All rights reserved.
+#
+# This copyrighted material is made available to anyone wishing
+# to use, modify, copy, or redistribute it subject to the terms
+# and conditions of the GNU General Public License version 2.
+#
+# This program is distributed in the hope that it will be
+# useful, but WITHOUT ANY WARRANTY; without even the implied
+# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+# PURPOSE. See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public
+# License along with this program; if not, write to the Free
+# Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+# Boston, MA 02110-1301, USA.
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+# Include Beaker environment
+. /usr/bin/rhts-environment.sh || exit 1
+
+add_interface()
+{
+ local intf=$1
+ local ipaddr=$2
+ local ip=$(echo $ipaddr | sed -e 's/\/.*//')
+ local netmask=$(ipcalc -m $ipaddr)
+ cat << EOF > /etc/sysconfig/network-scripts/ifcfg-$intf
+DEVICE=$intf
+ONBOOT=yes
+TYPE="Ethernet"
+HOTPLUG=no
+IPADDR=$ip
+$netmask
+EOF
+}
+
+for intf in $INTERFACES; do
+ ipaddr=$(eval echo \$$intf)
+ add_interface $intf $ipaddr && report_result $TEST/$intf PASS 0 || report_result $TEST/$intf FAIL 1
+done
+service network restart && report_result $TEST/restart_network PASS 0 || report_result $TEST/restart_network FAIL 1